Bug 620025 - upgrading from amarok 2.3.0 to 2.3.1 causes amarok to crash at startup
upgrading from amarok 2.3.0 to 2.3.1 causes amarok to crash at startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-31 09:03 EDT by Flavio Cardone
Modified: 2011-06-29 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Cardone 2010-07-31 09:03:59 EDT
Description of problem:
amarok 2.3.1 crashes at startup while amarok 2.3.0 starts properly

Version-Release number of selected component (if applicable):
2.3.1-2

How reproducible:
always

Steps to Reproduce:
1. install amarok 2.3.1
2. start amarok
3. wait for segmentation fault
  
Actual results:
segfault

Expected results:
no segfault :-)

Additional info:

console output:

[15:02:41 fca@cardocom bauble]$ amarok --debug --nofork
amarok: BEGIN: App::App() 
amarok:   BEGIN: void App::continueInit() 
amarok:     BEGIN: EngineController::EngineController() 
amarok:     END__: EngineController::EngineController() - Took 7.3e-05s 
amarok:     BEGIN: void EngineController::initializePhonon() 
amarok:       [EngineController] Tick Interval (actual):  100 
amarok:     END__: void EngineController::initializePhonon() - Took 0.089s 
amarok:     BEGIN: virtual int App::newInstance() 
amarok:       BEGIN: static void App::handleCliArgs() 
amarok:       END__: static void App::handleCliArgs() - Took 0.00035s 
amarok:     END__: virtual int App::newInstance() - Took 0.00051s 
amarok:     BEGIN: MainWindow::MainWindow() 
amarok:       BEGIN: static ServicePluginManager* ServicePluginManager::instance() 
amarok:          BrowserCategoryList named  "internet"  starting... 
amarok:         BEGIN: BrowserCategoryListDelegate::BrowserCategoryListDelegate(QTreeView*) 
amarok:         END__: BrowserCategoryListDelegate::BrowserCategoryListDelegate(QTreeView*) - Took 0.00013s 
amarok:          We are sorting!! 
amarok:          ServiceBrowser starting... 
amarok:         BEGIN: void ServicePluginManager::collect() 
amarok:           [PluginManager] Plugin trader constraint:  "[X-KDE-Amarok-framework-version] == 56 and [X-KDE-Amarok-plugintype] == 'service' and [X-KDE-Amarok-rank] > 0" 
amarok:            Received [ "6" ] collection plugin offers 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_magnatunestore" 
amarok:             BEGIN: void CollectionManager::init() 
amarok:               [PluginManager] Plugin trader constraint:  "[X-KDE-Amarok-framework-version] == 56 and [X-KDE-Amarok-plugintype] == 'collection' and [X-KDE-Amarok-rank] > 0" 
amarok:               [CollectionManager] Received [ "7" ] collection plugin offers 
amarok:               [CollectionManager] Initialising sqlcollection 
amarok:                Connected to MySQL server 5.1.48-embedded 
amarok:                Connected to MySQL server 5.1.48-embedded 
amarok:                Initialized thread, count== 1 
amarok:               BEGIN: void MountPointManager::init() 
amarok:                 [PluginManager] Plugin trader constraint:  "[X-KDE-Amarok-framework-version] == 56 and [X-KDE-Amarok-plugintype] == 'device' and [X-KDE-Amarok-rank] > 0" 
amarok:                 [MountPointManager] Received [ "1" ] device plugin offers 
amarok:                 BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:                   [PluginManager] Trying to load:  "amarok_massstorage-device" 
amarok:                   [PluginManager] 
"                  " PluginManager Service Info: 
"                  " --------------------------- 
"                  " name                          : "Mass Storage Device" 
"                  " library                       : "amarok_massstorage-device" 
"                  " desktopEntryPath              : "amarok_massstorage-device.desktop" 
"                  " X-KDE-Amarok-plugintype       : "device" 
"                  " X-KDE-Amarok-name             : "massstorage-device" 
"                  " X-KDE-Amarok-authors          : ("Maximilian Kossick") 
"                  " X-KDE-Amarok-rank             : "100" 
"                  " X-KDE-Amarok-version          : "1" 
"                  " X-KDE-Amarok-framework-version: "56" 

amarok:                 END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0016s 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] found handler for  "/org/freedesktop/Hal/devices/volume_uuid_3A44_925D" 
amarok:                 BEGIN: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const 
amarok:                   [MassStorageDeviceHandler] Found existing UUID config for ID  "1"  , uuid  "3a44-925d" 
amarok:                 END__: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const - Took 0.0041s 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] found handler for  "/org/freedesktop/Hal/devices/volume_uuid_f3a8fb17_3bab_4997_85c2_e81c269500a5" 
amarok:                 BEGIN: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const 
amarok:                   [MassStorageDeviceHandler] Found existing UUID config for ID  "2"  , uuid  "f3a8fb17-3bab-4997-85c2-e81c269500a5" 
amarok:                 END__: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const - Took 0.0015s 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] found handler for  "/org/freedesktop/Hal/devices/volume_uuid_a375d37b_3606_49f7_b682_f85cb77b9878" 
amarok:                 BEGIN: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const 
amarok:                   [MassStorageDeviceHandler] Found existing UUID config for ID  "3"  , uuid  "a375d37b-3606-49f7-b682-f85cb77b9878" 
amarok:                 END__: virtual DeviceHandler* MassStorageDeviceHandlerFactory::createHandler(const Solid::Device&, const QString&, SqlStorage*) const - Took 0.0012s 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:                 [MountPointManager] Device added and mounted, checking handlers 
amarok:               END__: void MountPointManager::init() - Took 0.071s 
amarok:               BEGIN: ScanManager::ScanManager(QObject*) 
amarok:                 BEGIN: SqlCollectionDBusHandler::SqlCollectionDBusHandler(QObject*) 
amarok:                    Register object:  true 
amarok:                 END__: SqlCollectionDBusHandler::SqlCollectionDBusHandler(QObject*) - Took 0.00019s 
amarok:               END__: ScanManager::ScanManager(QObject*) - Took 0.00033s 
amarok:               BEGIN: void CollectionManager::slotNewCollection(Collections::Collection*) 
amarok:               END__: void CollectionManager::slotNewCollection(Collections::Collection*) - Took 0.00021s 
amarok:               BEGIN: virtual void Collections::DaapCollectionFactory::init() 
amarok:               END__: virtual void Collections::DaapCollectionFactory::init() - Took 0.0042s 
amarok:               BEGIN: MediaDeviceMonitor::MediaDeviceMonitor() 
amarok:                 BEGIN: void MediaDeviceMonitor::init() 
amarok:                   BEGIN: MediaDeviceCache::MediaDeviceCache() 
amarok:                   END__: MediaDeviceCache::MediaDeviceCache() - Took 8.7e-05s 
amarok:                 END__: void MediaDeviceMonitor::init() - Took 0.00025s 
amarok:               END__: MediaDeviceMonitor::MediaDeviceMonitor() - Took 0.0004s 
amarok:               BEGIN: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) 
amarok:                 BEGIN: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) 
amarok:                   BEGIN: QStringList MediaDeviceMonitor::getDevices() 
amarok:                     BEGIN: void MediaDeviceCache::refreshCache() 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_3A44_925D" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey USB"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_label_IronKey" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey"  and was made by  "" 
amarok:                       [MediaDeviceCache] Solid device is not accessible, will wait until it is to consider it added. 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_a375d37b_3606_49f7_b682_f85cb77b9878" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3a8fb17_3bab_4997_85c2_e81c269500a5" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part6_size_7999998976" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (swap)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_bbcce4d0_3c5a_42fa_a4f3_43bde5da1bd2" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part2_size_1024" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3ef025c_8296_41fc_a25f_d8a77d11d494" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_CD_ROM_199456787067199456_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "CD-ROM"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_Secure_Drive_199456787067199456_0_1" 
amarok:                       [MediaDeviceCache] Device name is =  "Secure Drive"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_WD_My_Passport_070A_575842304139394438353338_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "My Passport 070A"  and was made by  "WD" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_ST9500325AS_5VE0R425" 
amarok:                       [MediaDeviceCache] Device name is =  "ST9500325AS"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_HM500JI_S1WFJD0S410083" 
amarok:                       [MediaDeviceCache] Device name is =  "SAMSUNG HM500JI"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_model_DVD_A__DS8A1H" 
amarok:                       [MediaDeviceCache] Device name is =  "DVD A  DS8A1H"  and was made by  "Slimtype" 
amarok:                     END__: void MediaDeviceCache::refreshCache() - Took 0.44s 
amarok:                   END__: QStringList MediaDeviceMonitor::getDevices() - Took 0.44s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_model_DVD_A__DS8A1H" 
amarok:                      Device name:  "Slimtype - DVD A  DS8A1H" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00022s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "Slimtype" , product:  "DVD A  DS8A1H" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.0017s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_IronKey_CD_ROM_199456787067199456_0_0" 
amarok:                      Device name:  "IronKey - CD-ROM" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00018s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "IronKey" , product:  "CD-ROM" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.0028s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_IronKey_Secure_Drive_199456787067199456_0_1" 
amarok:                      Device name:  "IronKey - Secure Drive" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00053s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "IronKey" , product:  "Secure Drive" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.0019s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_HM500JI_S1WFJD0S410083" 
amarok:                      Device name:  "ATA - SAMSUNG HM500JI" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00018s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "ATA" , product:  "SAMSUNG HM500JI" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.0018s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_ST9500325AS_5VE0R425" 
amarok:                      Device name:  "ATA - ST9500325AS" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00048s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "ATA" , product:  "ST9500325AS" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.0021s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_WD_My_Passport_070A_575842304139394438353338_0_0" 
amarok:                      Device name:  "WD - My Passport 070A" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00019s 
amarok:                      Mount point:  "" 
amarok:                      vendor:  "WD" , product:  "My Passport 070A" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.002s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_3A44_925D" 
amarok:                      Device name:  "/mnt/ironkey" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00012s 
amarok:                      Mount point:  "/mnt/ironkey" 
amarok:                      vendor:  "IronKey" , product:  "Secure Drive" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.00062s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_a375d37b_3606_49f7_b682_f85cb77b9878" 
amarok:                      Device name:  "/mnt/sdc1" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00012s 
amarok:                      Mount point:  "/mnt/sdc1" 
amarok:                      vendor:  "WD" , product:  "My Passport 070A" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.00056s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_bbcce4d0_3c5a_42fa_a4f3_43bde5da1bd2" 
amarok:                      Device name:  "/" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00012s 
amarok:                      Mount point:  "/" 
amarok:                      vendor:  "ATA" , product:  "SAMSUNG HM500JI" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.00058s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_f3a8fb17_3bab_4997_85c2_e81c269500a5" 
amarok:                      Device name:  "/mnt/disk2" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00012s 
amarok:                      Mount point:  "/mnt/disk2" 
amarok:                      vendor:  "ATA" , product:  "ST9500325AS" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.00065s 
amarok:                   BEGIN: virtual bool IpodConnectionAssistant::identify(const QString&) 
amarok:                      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_f3ef025c_8296_41fc_a25f_d8a77d11d494" 
amarok:                      Device name:  "/boot" 
amarok:                     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:                     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 0.00012s 
amarok:                      Mount point:  "/boot" 
amarok:                      vendor:  "ATA" , product:  "SAMSUNG HM500JI" 
amarok:                   END__: virtual bool IpodConnectionAssistant::identify(const QString&) - Took 0.00056s 
amarok:                 END__: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) - Took 0.46s 
amarok:               END__: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) - Took 0.46s 
amarok:               BEGIN: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) 
amarok:               END__: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) - Took 0.00015s 
amarok:               BEGIN: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) 
amarok:                 BEGIN: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) 
amarok:                   BEGIN: QStringList MediaDeviceMonitor::getDevices() 
amarok:                     BEGIN: void MediaDeviceCache::refreshCache() 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_3A44_925D" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey USB"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_label_IronKey" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey"  and was made by  "" 
amarok:                       [MediaDeviceCache] Solid device is not accessible, will wait until it is to consider it added. 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_a375d37b_3606_49f7_b682_f85cb77b9878" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3a8fb17_3bab_4997_85c2_e81c269500a5" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part6_size_7999998976" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (swap)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_bbcce4d0_3c5a_42fa_a4f3_43bde5da1bd2" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part2_size_1024" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3ef025c_8296_41fc_a25f_d8a77d11d494" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_CD_ROM_199456787067199456_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "CD-ROM"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_Secure_Drive_199456787067199456_0_1" 
amarok:                       [MediaDeviceCache] Device name is =  "Secure Drive"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_WD_My_Passport_070A_575842304139394438353338_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "My Passport 070A"  and was made by  "WD" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_ST9500325AS_5VE0R425" 
amarok:                       [MediaDeviceCache] Device name is =  "ST9500325AS"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_HM500JI_S1WFJD0S410083" 
amarok:                       [MediaDeviceCache] Device name is =  "SAMSUNG HM500JI"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_model_DVD_A__DS8A1H" 
amarok:                       [MediaDeviceCache] Device name is =  "DVD A  DS8A1H"  and was made by  "Slimtype" 
amarok:                     END__: void MediaDeviceCache::refreshCache() - Took 0.0077s 
amarok:                   END__: QStringList MediaDeviceMonitor::getDevices() - Took 0.0079s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.0011s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.00099s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.00065s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.00069s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.00076s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 0.001s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 7.5e-05s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 6.9e-05s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 7.1e-05s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 6.8e-05s 
amarok:                   BEGIN: virtual bool AudioCdConnectionAssistant::identify(const QString&) 
amarok:                   END__: virtual bool AudioCdConnectionAssistant::identify(const QString&) - Took 6.8e-05s 
amarok:                 END__: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) - Took 0.014s 
amarok:               END__: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) - Took 0.014s 
amarok:               BEGIN: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) 
amarok:                 BEGIN: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) 
amarok:                   BEGIN: QStringList MediaDeviceMonitor::getDevices() 
amarok:                     BEGIN: void MediaDeviceCache::refreshCache() 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_3A44_925D" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey USB"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_label_IronKey" 
amarok:                       [MediaDeviceCache] Device name is =  "IronKey"  and was made by  "" 
amarok:                       [MediaDeviceCache] Solid device is not accessible, will wait until it is to consider it added. 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_a375d37b_3606_49f7_b682_f85cb77b9878" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3a8fb17_3bab_4997_85c2_e81c269500a5" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part6_size_7999998976" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (swap)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_bbcce4d0_3c5a_42fa_a4f3_43bde5da1bd2" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part2_size_1024" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_f3ef025c_8296_41fc_a25f_d8a77d11d494" 
amarok:                       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_CD_ROM_199456787067199456_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "CD-ROM"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_IronKey_Secure_Drive_199456787067199456_0_1" 
amarok:                       [MediaDeviceCache] Device name is =  "Secure Drive"  and was made by  "IronKey" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_WD_My_Passport_070A_575842304139394438353338_0_0" 
amarok:                       [MediaDeviceCache] Device name is =  "My Passport 070A"  and was made by  "WD" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_ST9500325AS_5VE0R425" 
amarok:                       [MediaDeviceCache] Device name is =  "ST9500325AS"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_SAMSUNG_HM500JI_S1WFJD0S410083" 
amarok:                       [MediaDeviceCache] Device name is =  "SAMSUNG HM500JI"  and was made by  "ATA" 
amarok:                       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_model_DVD_A__DS8A1H" 
amarok:                       [MediaDeviceCache] Device name is =  "DVD A  DS8A1H"  and was made by  "Slimtype" 
amarok:                     END__: void MediaDeviceCache::refreshCache() - Took 0.0072s 
amarok:                   END__: QStringList MediaDeviceMonitor::getDevices() - Took 0.0073s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.00016s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 9.6e-05s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.0001s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 9.5e-05s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 9.8e-05s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 9.5e-05s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.0009s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.00068s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.00072s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.001s 
amarok:                   BEGIN: virtual bool MtpConnectionAssistant::identify(const QString&) 
amarok:                      Not a PMP 
amarok:                   END__: virtual bool MtpConnectionAssistant::identify(const QString&) - Took 0.00065s 
amarok:                 END__: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) - Took 0.013s 
amarok:               END__: void MediaDeviceMonitor::registerDeviceType(ConnectionAssistant*) - Took 0.013s 
amarok:             END__: void CollectionManager::init() - Took 0.7s 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "Magnatune Store" 
"            " library                       : "amarok_service_magnatunestore" 
"            " desktopEntryPath              : "amarok_service_magnatunestore.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "MagnatuneStore" 
"            " X-KDE-Amarok-authors          : ("Nikolaj Hald Nielsen") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.71s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_jamendo" 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "Jamendo" 
"            " library                       : "amarok_service_jamendo" 
"            " desktopEntryPath              : "amarok_service_jamendo.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "JamendoService" 
"            " X-KDE-Amarok-authors          : ("Nikolaj Hald Nielsen") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0033s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_lastfm" 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "Last.fm" 
"            " library                       : "amarok_service_lastfm" 
"            " desktopEntryPath              : "amarok_service_lastfm.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "LastFmService" 
"            " X-KDE-Amarok-authors          : ("Shane King") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0049s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_mp3tunes" 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "MP3tunes" 
"            " library                       : "amarok_service_mp3tunes" 
"            " desktopEntryPath              : "amarok_service_mp3tunes.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "Mp3tunesService" 
"            " X-KDE-Amarok-authors          : ("Nikolaj Hald Nielsen") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0096s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_opmldirectory" 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "Podcast Directory" 
"            " library                       : "amarok_service_opmldirectory" 
"            " desktopEntryPath              : "amarok_service_opmldirectory.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "JamendoService" 
"            " X-KDE-Amarok-authors          : ("Nikolaj Hald Nielsen") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0024s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:           BEGIN: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) 
amarok:             [PluginManager] Trying to load:  "amarok_service_ampache" 
amarok:             [PluginManager] 
"            " PluginManager Service Info: 
"            " --------------------------- 
"            " name                          : "Ampache" 
"            " library                       : "amarok_service_ampache" 
"            " desktopEntryPath              : "amarok_service_ampache.desktop" 
"            " X-KDE-Amarok-plugintype       : "service" 
"            " X-KDE-Amarok-name             : "AmpacheService" 
"            " X-KDE-Amarok-authors          : ("Nikolaj Hald Nielsen") 
"            " X-KDE-Amarok-rank             : "100" 
"            " X-KDE-Amarok-version          : "1" 
"            " X-KDE-Amarok-framework-version: "56" 

amarok:           END__: static Plugins::Plugin* Plugins::PluginManager::createFromService(KService::Ptr) - Took 0.0026s 
amarok:            Got hold of a valid plugin 
amarok:            Got hold of a valid factory 
amarok:         END__: void ServicePluginManager::collect() - Took 0.73s 
amarok:       END__: static ServicePluginManager* ServicePluginManager::instance() - Took 1.3s 
amarok:       BEGIN: Playlist::ModelStack::ModelStack() 
amarok:         BEGIN: Playlist::Model::Model(QObject*) 
amarok:         END__: Playlist::Model::Model(QObject*) - Took 7.1e-05s 
amarok:         BEGIN: Playlist::Controller::Controller(Playlist::AbstractModel*, Playlist::AbstractModel*, QObject*) 
amarok:         END__: Playlist::Controller::Controller(Playlist::AbstractModel*, Playlist::AbstractModel*, QObject*) - Took 0.00014s 
amarok:       END__: Playlist::ModelStack::ModelStack() - Took 0.0011s 
amarok:       BEGIN: void StatusBar::updateTotalPlaylistLength() 
amarok:       END__: void StatusBar::updateTotalPlaylistLength() - Took 0.00056s 
amarok:       BEGIN: Playlist::Actions::Actions() 
amarok:         BEGIN: void Playlist::Actions::playlistModeChanged() 
amarok:           [Playlist::Actions] Dynamic mode:    false 
amarok:         END__: void Playlist::Actions::playlistModeChanged() - Took 0.002s 
amarok:         BEGIN: void Playlist::Actions::restoreDefaultPlaylist() 
amarok:           BEGIN: void Playlists::SqlUserPlaylistProvider::checkTables() 
amarok:           END__: void Playlists::SqlUserPlaylistProvider::checkTables() - Took 0.00023s 
amarok:           BEGIN: Playlists::XSPFPlaylist::XSPFPlaylist(const KUrl&, bool) 
amarok:              url:  KUrl("file:///home/fca/.kde/share/apps/amarok/current.xspf") 
amarok:             BEGIN: bool Playlists::XSPFPlaylist::loadXSPF(QTextStream&) 
amarok:             END__: bool Playlists::XSPFPlaylist::loadXSPF(QTextStream&) - Took 0.00017s 
amarok:           END__: Playlists::XSPFPlaylist::XSPFPlaylist(const KUrl&, bool) - Took 0.00046s 
amarok:           BEGIN: Playlists::XSPFTrackList Playlists::XSPFPlaylist::trackList() 
amarok:              returning  0 tracks 
amarok:           END__: Playlists::XSPFTrackList Playlists::XSPFPlaylist::trackList() - Took 0.00013s 
amarok:           BEGIN: void Playlist::Controller::insertTracks(int, Meta::TrackList) 
amarok:             BEGIN: int Playlist::Controller::insertionTopRowToBottom(int) 
amarok:               [Playlist::Controller] SortProxy is NOT SORTED         ... so I'll take care of the right row. 
amarok:             END__: int Playlist::Controller::insertionTopRowToBottom(int) - Took 0.00011s 
amarok:           END__: void Playlist::Controller::insertTracks(int, Meta::TrackList) - Took 0.00023s 
amarok:           BEGIN: void Playlist::Actions::queue(QList<int>) 
amarok:           END__: void Playlist::Actions::queue(QList<int>) - Took 6.4e-05s 
amarok:         END__: void Playlist::Actions::restoreDefaultPlaylist() - Took 0.0026s 
amarok:       END__: Playlist::Actions::Actions() - Took 0.0048s 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
amarok:       BEGIN: Playlist::LayoutManager::LayoutManager() 
amarok:         BEGIN: void Playlist::LayoutManager::loadLayouts(const QString&, bool) 
amarok:            loading layout  "Default" 
amarok:            grouping mode is:  "Album" 
amarok:            loading layout  "No Grouping" 
amarok:            grouping mode is:  "None" 
amarok:            loading layout  "No Grouping (Single Line)" 
amarok:            grouping mode is:  "None" 
amarok:            loading layout  "Verbose" 
amarok:            grouping mode is:  "Album" 
amarok:         END__: void Playlist::LayoutManager::loadLayouts(const QString&, bool) - Took 0.0052s 
amarok:       END__: Playlist::LayoutManager::LayoutManager() - Took 0.006s 
amarok:       BEGIN: AmarokUrlHandler::AmarokUrlHandler() 
amarok:         BEGIN: void BookmarkModel::checkTables() 
amarok:         END__: void BookmarkModel::checkTables() - Took 0.0011s 
amarok:       END__: AmarokUrlHandler::AmarokUrlHandler() - Took 0.0013s 
amarok:        setCurrentItem:  1 
amarok:        setCurrentItem:  0 
amarok:       BEGIN: void MainWindow::init() 
amarok:         BEGIN: SvgHandler::SvgHandler(QObject*) 
amarok:         END__: SvgHandler::SvgHandler(QObject*) - Took 0.00011s 
amarok:         BEGIN: BrowserWidget::BrowserWidget(QWidget*) 
amarok:            BrowserCategoryList named  "root list"  starting... 
amarok:           BEGIN: BrowserCategoryListDelegate::BrowserCategoryListDelegate(QTreeView*) 
amarok:           END__: BrowserCategoryListDelegate::BrowserCategoryListDelegate(QTreeView*) - Took 0.00012s 
amarok:           BEGIN: void BrowserBreadcrumbWidget::updateBreadcrumbs() 
amarok:             BEGIN: void BrowserBreadcrumbWidget::addLevel(BrowserCategoryList*) 
amarok:               BEGIN: void BrowserBreadcrumbWidget::hideAsNeeded(int) 
amarok:                 BEGIN: QString BrowserCategoryList::activeCategoryName() 
amarok:                 END__: QString BrowserCategoryList::activeCategoryName() - Took 6.5e-05s 
amarok:                  the active category is:  "" 
amarok:                  1  items. 
amarok:               END__: void BrowserBreadcrumbWidget::hideAsNeeded(int) - Took 0.00049s 
amarok:             END__: void BrowserBreadcrumbWidget::addLevel(BrowserCategoryList*) - Took 0.0017s 
amarok:           END__: void BrowserBreadcrumbWidget::updateBreadcrumbs() - Took 0.0019s 
amarok:         END__: BrowserWidget::BrowserWidget(QWidget*) - Took 0.0075s 
amarok:         BEGIN: Playlist::Widget::Widget(QWidget*) 
amarok:           BEGIN: Playlist::ProgressiveSearchWidget::ProgressiveSearchWidget(QWidget*) 
amarok:           END__: Playlist::ProgressiveSearchWidget::ProgressiveSearchWidget(QWidget*) - Took 0.0024s 
amarok:           BEGIN: PlaylistBrowserNS::DynamicModel::DynamicModel() 
amarok:             BEGIN: void PlaylistBrowserNS::DynamicModel::loadAutoSavedPlaylist() 
Calling appendChild() on a null node does nothing.
amarok:             END__: void PlaylistBrowserNS::DynamicModel::loadAutoSavedPlaylist() - Took 0.00018s 
amarok:           END__: PlaylistBrowserNS::DynamicModel::DynamicModel() - Took 0.00031s 
amarok:           BEGIN: void Playlist::Widget::showDynamicHint(bool) 
amarok:           END__: void Playlist::Widget::showDynamicHint(bool) - Took 8.5e-05s 
amarok:           BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) 
amarok:           END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 8.9e-05s 
amarok:           BEGIN: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() 
amarok:             BEGIN: void Playlist::PrettyListView::scrollToActiveTrack() 
amarok:             END__: void Playlist::PrettyListView::scrollToActiveTrack() - Took 7.1e-05s 
amarok:           END__: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() - Took 0.0002s 
amarok:            Adding provider:  "" 
amarok:            Adding provider:  "" 
amarok:         END__: Playlist::Widget::Widget(QWidget*) - Took 0.0097s 
amarok:         BEGIN: virtual QMenu* MainWindow::createPopupMenu() 
amarok:         END__: virtual QMenu* MainWindow::createPopupMenu() - Took 0.0068s 
KCrash: Application 'amarok' crashing...
Comment 1 Bug Zapper 2011-06-01 08:25:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 08:44:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.